PHP Manual
Prev |  | Next

# ora_fetch

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_fetch -- Fetch a row of data from a cursor

## Description

bool ora_fetch ( resource cursor )

Retrieves a row of data from the specified `cursor`.

## Parameters

`cursor`

  An Oracle cursor, opened with ora_open().

## Return Values

Returns `TRUE` (a row was fetched) or `FALSE` (no more rows, or an error occurred). If an error occurred, details can be retrieved using the ora_error() and ora_errorcode() functions. If there was no error, ora_errorcode() will return 0.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_fetch()

## See Also

ora_parse()
ora_exec()
ora_do()

Prev | Home | Next
ora_fetch_into | Up | ora_getcolumn